import java.util.Scanner;
import javafx.geometry.Point2D;

public class TestPoint2D {
  public static void main(String[] args) {
    Scanner input = new Scanner(System.in);

    System.out.print("Podaj współrzędne x i y punktu point1: ");
    double x1 = input.nextDouble();
    double y1 = input.nextDouble();
    System.out.print("Podaj współrzędne x i y punktu point2: ");
    double x2 = input.nextDouble();
    double y2 = input.nextDouble();

    Point2D p1 = new Point2D(x1, y1); // Create a Point2D for (x1, y1)
    Point2D p2 = new Point2D(x2, y2); 
    System.out.println("p1 to " + p1.toString());
    System.out.println("p2 to " + p2.toString());
    System.out.println("Odległość między p1 i p2 wynosi " +
      p1.distance(p2)); 
    System.out.println("Punkt środkowy między p1 i p2 to " +
      p1.midpoint(p2).toString());
  }
}